package com.mortals.xhx.module.classify.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Classify
* date: 2021-8-20 16:42:31
*/
public class ClassifyEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1629448951672L;


    /**
    * 问题名称
    */
    private String name;

    /**
    * 一件事表 one_basics id
    */
    private Long basicsId;

    /**
    * 父级选项id,顶级为-1
    */
    private Long parentId;

    /**
    * 父级问题选项关联
    */
    private Long parentOptionId;

    /**
    * 题目类型 1单选 2多选
    */
    private Integer type;

    /**
    * 是否必答 0否 1是
    */
    private Integer ismust;

    /**
    * 级数
    */
    private Integer level;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public ClassifyEntity(){

    }
    /**
    * 获取 问题名称
    * @return name
    */
    public String getName() {
        return this.name;
    }
    /**
    * 设置 问题名称
    * @param name
    */
    public void setName(String name) {
        this.name = name;
    }
    /**
    * 获取 一件事表 one_basics id
    * @return basicsId
    */
    public Long getBasicsId() {
        return this.basicsId;
    }
    /**
    * 设置 一件事表 one_basics id
    * @param basicsId
    */
    public void setBasicsId(Long basicsId) {
        this.basicsId = basicsId;
    }
    /**
    * 获取 父级选项id,顶级为-1
    * @return parentId
    */
    public Long getParentId() {
        return this.parentId;
    }
    /**
    * 设置 父级选项id,顶级为-1
    * @param parentId
    */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
    /**
    * 获取 父级问题选项关联
    * @return parentOptionId
    */
    public Long getParentOptionId() {
        return this.parentOptionId;
    }
    /**
    * 设置 父级问题选项关联
    * @param parentOptionId
    */
    public void setParentOptionId(Long parentOptionId) {
        this.parentOptionId = parentOptionId;
    }
    /**
    * 获取 题目类型 1单选 2多选
    * @return type
    */
    public Integer getType() {
        return this.type;
    }
    /**
    * 设置 题目类型 1单选 2多选
    * @param type
    */
    public void setType(Integer type) {
        this.type = type;
    }
    /**
    * 获取 是否必答 0否 1是
    * @return ismust
    */
    public Integer getIsmust() {
        return this.ismust;
    }
    /**
    * 设置 是否必答 0否 1是
    * @param ismust
    */
    public void setIsmust(Integer ismust) {
        this.ismust = ismust;
    }
    /**
    * 获取 级数
    * @return level
    */
    public Integer getLevel() {
        return this.level;
    }
    /**
    * 设置 级数
    * @param level
    */
    public void setLevel(Integer level) {
        this.level = level;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof ClassifyEntity) {
            ClassifyEntity tmp = (ClassifyEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",name:").append(getName())
                .append(",basicsId:").append(getBasicsId())
                .append(",parentId:").append(getParentId())
                .append(",parentOptionId:").append(getParentOptionId())
                .append(",type:").append(getType())
                .append(",ismust:").append(getIsmust())
                .append(",level:").append(getLevel())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.name = null;

         this.basicsId = null;

         this.parentId = null;

         this.parentOptionId = null;

         this.type = null;

         this.ismust = null;

         this.level = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}